Bug 150605 - [PATCH] audio/liblastfm: Fix build with alternate LOCALBASE
Summary: [PATCH] audio/liblastfm: Fix build with alternate LOCALBASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-15 22:30 UTC by Tim Bishop
Modified: 2010-12-10 23:50 UTC (History)
1 user (show)

See Also:


Attachments
liblastfm-0.3.0_1.patch (528 bytes, patch)
2010-09-15 22:30 UTC, Tim Bishop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Bishop freebsd_committer 2010-09-15 22:30:06 UTC
This patch fixes the configure script to use the correct prefix when
an alternate LOCALBASE has been set.

Port maintainer (datahead4@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-09-15 22:30:11 UTC
Maintainer of audio/liblastfm,

Please note that PR ports/150605 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150605

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-15 22:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Matt 2010-09-17 20:27:58 UTC
On Wed, Sep 15, 2010 at 4:30 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
>
> Maintainer of audio/liblastfm,
>
> Please note that PR ports/150605 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/150605
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

Previous PR numbers ports/139315 and ports/145062 attempted to correct
this problem with the same patch but a run through the QATty indicated
that the fix did not work.  I am not in a position to test if this is
still the case.

The proposed patch looks like it should solve the problem, but I
suggest a test run in QATty to verify the results.  Of the three
related PRs, I believe that ports/145062 has the best chance of fixing
this problem.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-09-26 22:04:28 UTC
State Changed
From-To: feedback->open

Maintainer approved, but suggested a test run is needed first.
Comment 5 Philip M. Gollucci freebsd_committer 2010-12-10 05:52:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 6 Philip M. Gollucci freebsd_committer 2010-12-10 23:44:44 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 7 dfilter service freebsd_committer 2010-12-10 23:44:46 UTC
pgollucci    2010-12-10 23:44:41 UTC

  FreeBSD ports repository

  Modified files:
    audio/liblastfm      Makefile 
  Log:
  - Fix build with custom prefix/localbase
  
  PR:             ports/150605
  Submitted by:   Tim Bishop <tim@bishnet.net>
  Approved by:    datahead4@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.8       +1 -1      ports/audio/liblastfm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"